WPParserInternal::SectionInfo Struct Reference

Internal: class to store the Section properties. More...

## Public Member Functions

| SectionInfo ()
bool | empty () const

## Public Attributes

int | m_numCol
| the number of columns(?) More...
int | m_dim [3]
| unknown dimension More...
int | m_flags [4]
| some flag More...

## Friends

std::ostream & | operator<< (std::ostream &o, SectionInfo const &s)
| operator<< More...

## Detailed Description

Internal: class to store the Section properties.

## Constructor & Destructor Documentation

WPParserInternal::SectionInfo::SectionInfo | ( |  | ) |

inline

## Member Function Documentation

bool WPParserInternal::SectionInfo::empty | ( |  | ) | const

inline

Referenced by WPParser::readSection().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SectionInfo const & | s
| ) |  |

friend

operator<<

## Member Data Documentation

int WPParserInternal::SectionInfo::m_dim[3]

unknown dimension

Referenced by empty(), WPParser::readSection(), and SectionInfo().

int WPParserInternal::SectionInfo::m_flags[4]

some flag

Referenced by empty(), WPParser::readSection(), and SectionInfo().

int WPParserInternal::SectionInfo::m_numCol

the number of columns(?)

Referenced by empty(), and WPParser::readSection().

The documentation for this struct was generated from the following file:

- WPParser.cxx